Overview | Package | Class | Tree | Deprecated | Index | Help
| JAXB v1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.bind
Interface UnmarshallerHandler

All Superinterfaces:
  org.xml.sax.ContentHandler

public interface UnmarshallerHandler
extends org.xml.sax.ContentHandler

Unmarshaller implemented as SAX ContentHandler.

Applications can use this interface to use their JAXB provider as a component in an XML pipeline. For example:

           JAXBContext context = JAXBContext.newInstance( "org.acme.foo" );

           Unmarshaller unmarshaller = context.createUnmarshaller();

           UnmarshallerHandler unmarshallerHandler = unmarshaller.getUnmarshallerHandler();

           SAXParserFactory spf = SAXParserFactory.newInstance();
           spf.setNamespaceAware( true );

           XMLReader xmlReader = spf.newSAXParser().getXMLReader();
           xmlReader.setContentHandler( unmarshallerHandler );
           xmlReader.parse(new InputSource( new FileInputStream( XML_FILE ) ) );

           MyObject myObject= (MyObject)unmarshallerHandler.getResult();

This interface is reusable: even if the user fails to unmarshal an object, s/he can still start a new round of unmarshalling.

Since:
  JAXB1.0
Version:
  $Revision: 1.1 $ $Date: 2008/11/03 06:51:02 $
Author:
  - Kohsuke KAWAGUCHI, Sun Microsystems, Inc.
See Also:
  `Unmarshaller.getUnmarshallerHandler()`

Method Summary
`java.lang.Object` | `getResult()` Obtains the unmarshalled result.

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Method Detail

### getResult

    public java.lang.Object getResult()
                               throws JAXBException,
                                      java.lang.IllegalStateException

  Obtains the unmarshalled result. This method can be called only after this handler receives the endDocument SAX event.

  Returns:
    always return a non-null valid object which was unmarshalled.
  Throws:
    `java.lang.IllegalStateException` - if this method is called before this handler receives the endDocument event.
    `JAXBException` - if there is any unmarshalling error. Note that the implementation is allowed to throw SAXException during the parsing when it finds an error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JAXB v1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Comments to: jaxb-spec-comments@sun.com
More information at: http://java.sun.com/xml/jaxb

Copyright © 2001 by Sun Microsystems, Inc., 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.